Get Use Case
curl --request GET \
--url https://api.neuralfactory.ai/use-cases/{use_case_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuralfactory.ai/use-cases/{use_case_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuralfactory.ai/use-cases/{use_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/use-cases/{use_case_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/use-cases/{use_case_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.neuralfactory.ai/use-cases/{use_case_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/use-cases/{use_case_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"vertical": {
"id": "<string>",
"name": "<string>"
},
"shape": "workflow",
"outcome": "<string>",
"problem": "<string>",
"priority": "core",
"time_to_value_days": 123,
"readiness": {
"state": "ready",
"toolkits": [
{
"type": "<string>",
"name": "<string>",
"connected": true,
"offerable": true
}
],
"systems": [
{
"name": "<string>",
"purpose": "<string>"
}
],
"documents": [
{
"name": "<string>",
"contents": "<string>",
"knowledge_base_id": "<string>"
}
]
},
"activations": [
{
"kind": "agent",
"id": "<string>",
"name": "<string>",
"published": true
}
],
"who": "<string>",
"what_it_does": "<string>",
"trigger": "manual",
"how_it_works": [
"<string>"
],
"approvals": [
"<string>"
],
"kpis": [
"<string>"
],
"complexity": "S",
"time_to_value": "<string>",
"prerequisites": [
"<string>"
],
"limits": [
"<string>"
],
"better_with": [
{
"name": "<string>",
"purpose": "<string>"
}
],
"we_arrange": [
"<string>"
],
"activation": {
"creates": [
"agent"
],
"starts": [
"on_demand"
],
"start": "on_demand",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approver_roles": [
{
"role": "<string>",
"label": "<string>"
}
],
"step_count": 123,
"approval_gates": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogue
Get Use Case
API key permission: Agents (Admin also opens it).
GET
/
use-cases
/
{use_case_id}
Get Use Case
curl --request GET \
--url https://api.neuralfactory.ai/use-cases/{use_case_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.neuralfactory.ai/use-cases/{use_case_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.neuralfactory.ai/use-cases/{use_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/use-cases/{use_case_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/use-cases/{use_case_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.neuralfactory.ai/use-cases/{use_case_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/use-cases/{use_case_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"vertical": {
"id": "<string>",
"name": "<string>"
},
"shape": "workflow",
"outcome": "<string>",
"problem": "<string>",
"priority": "core",
"time_to_value_days": 123,
"readiness": {
"state": "ready",
"toolkits": [
{
"type": "<string>",
"name": "<string>",
"connected": true,
"offerable": true
}
],
"systems": [
{
"name": "<string>",
"purpose": "<string>"
}
],
"documents": [
{
"name": "<string>",
"contents": "<string>",
"knowledge_base_id": "<string>"
}
]
},
"activations": [
{
"kind": "agent",
"id": "<string>",
"name": "<string>",
"published": true
}
],
"who": "<string>",
"what_it_does": "<string>",
"trigger": "manual",
"how_it_works": [
"<string>"
],
"approvals": [
"<string>"
],
"kpis": [
"<string>"
],
"complexity": "S",
"time_to_value": "<string>",
"prerequisites": [
"<string>"
],
"limits": [
"<string>"
],
"better_with": [
{
"name": "<string>",
"purpose": "<string>"
}
],
"we_arrange": [
"<string>"
],
"activation": {
"creates": [
"agent"
],
"starts": [
"on_demand"
],
"start": "on_demand",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"approver_roles": [
{
"role": "<string>",
"label": "<string>"
}
],
"step_count": 123,
"approval_gates": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Response
Successful Response